AsterNet Class Library (Sandcastle documentation)

| DatabaseDelTreeCommand Class

Deletes an entry in the Asterisk database for a given family and key.
Returns 1 if successful, 0 otherwise.
Inheritance Hierarchy
System
Object
AsterNET.FastAGI.Command
AGICommand
AsterNET.FastAGI.Command
DatabaseDelTreeCommand

Namespace: AsterNET.FastAGI.Command
Assembly: AsterNET (in AsterNET.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy

    public class DatabaseDelTreeCommand : AGICommand

    Public Class DatabaseDelTreeCommand
    	Inherits AGICommand

    public ref class DatabaseDelTreeCommand : public AGICommand

    type DatabaseDelTreeCommand =
        class
            inherit AGICommand
        end

The DatabaseDelTreeCommand type exposes the following members.

Constructors

| Name | Description
--- | --- | ---
| DatabaseDelTreeCommand(String) | Creates a new DatabaseDelCommand.
| DatabaseDelTreeCommand(String, String) | Creates a new DatabaseDelCommand.

Top
Methods

| Name | Description
--- | --- | ---
| BuildCommand | (Overrides AGICommand BuildCommand .)
| Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
| EscapeAndQuote | (Inherited from AGICommand.)
| Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
| GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
| GetType | Gets the Type of the current instance. (Inherited from Object.)
| MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
| ToString | (Inherited from AGICommand.)

Top
Properties

| Name | Description
--- | --- | ---
| Family | Get/Set the family of the key to delete.
| KeyTree | Get/Set the the key to delete.

Top
See Also

#### Reference

AsterNET.FastAGI.Command Namespace